html,
body,
.viewport {
  width: 100%;
  height: 100%;
  margin: 0;
  font-family: 'Open Sans', sans-serif;
  font-weight: 400;
  font-size: 14px;
  color: #686767;
  line-height: 1.3em;
}

html {
  background: url(/assets/bg-image4.jpg) no-repeat center fixed; 
  background-size: cover;
  background-color: black;
}

h2 {
  font-family: 'Roboto', sans-serif;
  font-size: 30px;
}

.page-title {
  font-size: 40px;
  line-height: 1.4em;
}

.featured-title {
  text-transform: uppercase;
  letter-spacing: -1px;
  line-height: 0.9em;
  margin-bottom: 4px;
}

.app {
  text-align: center;
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-flex-direction: column;
  flex-direction: column;
  height: 100%;
}

.app-logo {
  height: 80px;
}

.app-header {
  height: auto;
  padding: 80px 20px 30px 20px;
  color: white;
}

.app-title {
  font-size: 1.5em;
}

.app-intro {
  font-size: large;
}

.app-footer {
  color: #ffffff;
}

.text-shadow {
  text-shadow:2px 2px black;
}

.container {
  width: 100%;
  height: 100%;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: column;
  flex-direction: column;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-align-items: center;
  align-items: center;
}

.principal-panel {
  flex: 0 1 auto;
  background-color: #ffffff;
  width: 80%;
  max-width: 920px;
  /* height: -webkit-fill-available; */
  padding: 45px 20px;
  /* border-top-right-radius: 15px;
  border-top-left-radius: 15px; */
  border-radius: 15px;
  box-shadow: 10px 10px 20px #eeeded62;
  margin-bottom: 80px;
}

.comic-container {
  display: -webkit-flex;
  display: flex;  
  -webkit-align-items: center;
  align-items: center;
  padding-bottom: 30px;
  cursor: pointer;
}

.comic-cover-container {
  min-width: 30%;
  max-width: 300px;
  margin-right: 0px;
}

.comic-cover {
  width: 100%;
  max-width: 216px;
  height: auto;
}

.comic-text-container {
  text-align: left;
  padding-right: 20px;
  margin-left: 10px;
}

.comic-loader {
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-align-items: center;
  align-items: center;
}

.comic-detail-container {
  display: -webkit-flex;
  display: flex;
  padding-bottom: 20px;
  font-size: 14px;
  line-height: 1.3em;
}

.comic-detail-keys {
  font-size: 18px;
  font-weight: bold;
  width: 25%;
  text-align: right;
  padding-right: 20px;
}

.comic-detail-values {
  width: 75%;
  word-wrap: break-word;
}

.comic-detail-headline {
  font-size: 48px;
  text-align: center;
  padding: 50px 0px 50px 0px;
  line-height: 1;
}

.comic-detail-top {
  text-align: center;
  padding-bottom: 50px;
}

.comic-detail-cover {
  width: 100%;
  height: auto;
  max-width: 600px;
}

.comic-detail-close-button {
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-align-items: center;
  align-items: center;
  position: relative;
  padding: 8px;
  background-color: #f4f4f4;
  border: solid 1px #ccc;
  box-shadow: 5px 5px 12px #d6d6d6;
}

.comic-detail-modal-overlay {
  /* padding-bottom: 90px !important; */
  overflow-y: scroll !important;
  -webkit-overflow-scrolling: touch;
}

.comic-detail-modal {
  width: 98%;
}

/* .modal-open {
  overflow: hidden;
} */

@media all and (max-width: 1024px) {

} 

@media all and (max-width: 839px) { 
  .comic-container {
    flex-flow: column;
  }

  .comic-cover-container {
    width: 70%;
  }
  
  .comic-text-container {
    text-align: center;
    padding: inherit;
  }
}

@media all and (max-width: 480px) {
  h2 {
    font-size: 25px;
  }

  .app-header {
    padding: 40px 20px 0px 20px;
  }

  .page-title {
    font-size: 32px;
    line-height: 1em;
    margin: 16px 3px 32px 3px;
  }

  .comic-cover-container {
    width: 60%;
  }

  .comic-detail-headline {
    font-size: 2rem;
    padding-bottom: 20px;
  }

  .comic-detail-keys {
    font-size: 12px;
    width: 33%;
  }

  .comic-detail-values {
    width: 67%;
  }
}
